### Function

# Gck Module initialize

#### Declaration [src]

    GckModule*
    gck_module_initialize (
      const gchar* path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Load and initialize a PKCS#11 module represented by a GckModule object.

#### Parameters

`path` | `const gchar*`
| The file system path to the PKCS#11 module to load.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckModule`
| The loaded PKCS#11 module or `NULL` if failed.
| The caller of the function takes ownership of the data, and is responsible for freeing it.